import { EventEmitter, ElementRef } from '@angular/core';
import '@angular/localize/init';
import * as i0 from "@angular/core";
interface User {
    name: string;
}
export declare class HeaderComponent {
    private elementRef;
    hasImage: boolean;
    constructor(elementRef: ElementRef);
    user: User | null;
    logo?: string | undefined;
    burgerMenu: any;
    icons: {
        cameraIcon: import("@progress/kendo-angular-icons").SVGIcon;
    };
    accountImg: string;
    burgerClick: EventEmitter<any>;
    eventClick(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<HeaderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<HeaderComponent, "sirius-lib-header", never, { "user": { "alias": "user"; "required": false; }; "logo": { "alias": "logo"; "required": false; }; }, { "burgerClick": "burgerClick"; }, never, never, true, never>;
}
export {};
